Name:		ufoai
Version:	2.2.1
Release:	0.1%{?dist}
Summary:	UFO: Alien Invasion

Group:		Amusements/Games
License:	GPLv2+
URL:		http://ufoai.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}-ded.desktop
Patch0:		ufoai-2.2-libdir.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils curl-devel gettext libjpeg-devel libogg-devel
BuildRequires:	libpng-devel libvorbis-devel SDL-devel SDL_mixer-devel SDL_ttf-devel
BuildRequires:	freealut-devel libXxf86vm-devel libXxf86dga-devel

Requires:	opengl-games-utils
Requires:	%{name}-data = %{version}


%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat
against hostile alien forces which are about to infiltrate earth at
this very moment. You are in command of a small special unit which
has been founded to face the alien strike force. To be successful on
the long run, you will also have to have a research team study the
aliens and their technologies in order to learn as much as possible
about their technology, their goals and the aliens themselves.


%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1
# correct mixed encoding
sed -i -e "s/\xB3/\xC5\x82/" -e "s/\xF3/\xC3\xB3/" CONTRIBUTORS
## we do not like "arch-dependent-file" in /usr/share
# do not use the datadir but supply our path directly - yeah, this is nasty :-)
#sed -i -e 's/, path/, "\%{_exec_prefix}\/%{_lib}\/%{name}"/' src/ports/linux/sys_linux.c
# change the target for the library
sed -i -e "s/base/./" build/game.mk
# change the install target - may be useful in future
#sed -i -e "s/base\//.\//" src/CMakeLists.txt


%build
%configure --disable-ufo2map
make %{?_smp_mflags}
make %{?_smp_mflags} lang
# wrapper scripts - generated because we need arch dependent paths
cat > %{name}-wrapper.sh <<-EOF
#!/bin/sh

. /usr/share/opengl-games-utils/opengl-game-functions.sh

checkDriOK UFO:AI

exec ufo \\
	+set s_libdir %{_libdir}/%{name} \\
	+set fs_basedir %{_datadir}/%{name} \\
	+set fs_i18ndir %{_datadir}/locale \\
	"\$@"
EOF

cat > ufoded-wrapper.sh <<-EOF
#!/bin/sh

exec ufoded \
	+set s_libdir %{_libdir}/%{name} \\
	+set fs_basedir %{_datadir}/%{name} \\
	+set fs_i18ndir %{_datadir}/locale \\
	"\$@"
EOF


%install
rm -rf %{buildroot}
install -D -m 0755 ufo %{buildroot}%{_bindir}/ufo
install -D -m 0755 ufoded %{buildroot}%{_bindir}
install -p -m 0755 %{name}-wrapper.sh %{buildroot}%{_bindir}
install -p -m 0755 ufoded-wrapper.sh %{buildroot}%{_bindir}
install -D -m 0755 game.so %{buildroot}%{_libdir}/%{name}/game.so
mkdir -p -m 0755 %{buildroot}%{_datadir}/locale
cp -pr base/i18n/* %{buildroot}%{_datadir}/locale/
mkdir -p -m 0755 %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
cp -p src/ports/linux/ufo.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
cp -p src/ports/linux/ufoded.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-ded.png
desktop-file-install --vendor="fedora" \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
desktop-file-install --vendor="fedora" \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE2}
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README CONTRIBUTORS COPYING
%{_bindir}/*
#%{_bindir}/ufo
#%{_bindir}/ufoded
#%{_bindir}/%{name}-wrapper.sh
%{_libdir}/%{name}/
#%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/applications/
%{_datadir}/icons/hicolor/32x32/apps/


%changelog
* Thu May 29 2008 Peter Hanecak <hany@hany.sk> 2.2.1-0.1
- update to 2.2.1
- SDL_mixer-devel requred for build

* Thu Jan 24 2008 Peter Hanecak <hany@hany.sk> 2.2-1.1
- use %%{_bindir}/* instead of %%{_bindir}
- use adapted libdir patch from ALT Linux's ufoai-2.3-alt1.svn20071014.3 package

* Tue Jan 22 2008 Karel Volny <kvolny@redhat.com> 2.2-1
- Version bump
- Added BuildRequires: curl-devel
- Changed language file handling
- Use bundled icons
- Added ufoded wrapper and menu entry

* Mon Jan 07 2008 Karel Volny <kvolny@redhat.com> 2.1.1-3
- Marked localisation files
- Some fixes according the comment #18 to bug #412001:
- Added BuildRequires: freealut-devel libXxf86vm-devel libXxf86dga-devel
- Improved .desktop file
- Added fix for mixed encoding within the file CONTRIBUTORS

* Thu Dec 06 2007 Karel Volny <kvolny@redhat.com> 2.1.1-2
- Split the game, data and additional music into separate packages
- Added wrapper script to use correct command line parameters and OpenGL Wrapper
- Added ufoai.desktop as a separate file

* Tue Dec 04 2007 Karel Volny <kvolny@redhat.com> 2.1.1-1
- Initial release for Fedora 8
